<?php

	/**
	 * Soap Response sent by the server after a call to the 'Authenticate' method
	 *
	 * @see TariqaAuthentication::Login
	 * 
	 * @author Pascal Havelange
	 * @copyright  EUROPEAN COMMISSION, 2008
	 * */
	class AuthenticationResponse {
		
		/**
		 * Identification Token
		 * @var string 
		 * */
		public $identificationToken;
		
		/**
		 * Time at which the token will expire (unix timestamp)
		 * @var int
		 * */
		public $expirationDate;
		
		/**
		 * Flag indicating weither the connection was made through HTTPS or through HTTP
		 * @var boolean
		 * */
		public $https;

	}
?>