<?php
    /**
    * Containes information about an engine
    * @author Cosmin Popescu
    * @copyright  EUROPEAN COMMISSION, 2009
    * */
    
    class FactivaContentResultSet {
        /**
        * The number of results found
        * @var int
        * */
        public $queryHitCount;

        /**
        * The index of the first headline
        * @var int
        * */
        public $indexOfFirstHeadline;

        /**
        * The highlighted text from the article
        * @var string
        * */
        public $highlightString;

        /**
        * The search context (user for continuing search)
        * @var string
        * */
        public $searchContext;
        
        /**
        * The healines of the found articles
        * @var FactivaContentHeadline[]
        * */
        public $results;
    
    }

?>