<?php
    /**
    * Containes information about an engine
    * @author Cosmin Popescu
    * @copyright  EUROPEAN COMMISSION, 2009
    * */
    
    class FactivaSourceQuery {
        const factiva_SourcesCategoryPublications = "Publications";
        const factiva_SourcesCategoryPictures = "Pictures";
        const factiva_SourcesCategoryWebsites = "WebSites";

        const factiva_SourcesQueryResponseTypeBrief = "Brief";
        const factiva_SourcesQueryResponseTypeVerbose = "Verbose";

        /**
        * The session identifier
        * @var string
        * */
        public $controlData;
        
        /**
         * The query string
         * @var string
         * */
        public $searchString;
        
        /**
         * The first result to return
         * @var int
         * */
        public $first;
        
        /**
         * The number of results to return
         * @var int
         * */
        public $count;

        /**
         * The category of the articles source
         * @var string[]
         * */        
        public $contentCategories;
        
        /**
         * The category of the articles source
         * @var string
         * */        
        public $responseType;     
    }

?>