<?php

	/**
	 * Encloses the results of a Search operation on the LExisNexis engine
	 * */
	class LexisNexisSearchResult {
	
		/**
		 * Search ID
		 * @var string
		 */
		public $searchId;
		
		/**
		 * Number of documents found
		 * @var int
		 */
		public $documentsFound;
		
		/**
		 * Constructor
		 * @param string $searchId Search Id
		 * @param int $documentsFound Number of documents found
		 * @return void
		 */
		public function __construct( $searchId = null, $documentsFound = null ) {
			$this->searchId = $searchId;
			$this->documentsFound = $documentsFound;
		}
	}
?>