<?php

	/**
	 * Encloses a Virage Document found by searching the database
	 */
	class VirageDocumentFound {
	
		/**
		 * The document identifier
		 * @var int
		 */
		public $document_id;

		/**
		 * The weights of the current document within the search it has been found
		 * @var int
		 */
		public $weight = null;

		/**
		 * The words that link the document to the current search query
		 * @var string
		 */
		public $links = null;

		/**
		 * The document filename
		 * @var string
		 */
		public $fileName = null;

		/**
		 * The document content
		 * @var string
		 */
		public $documentContent = null;
	}

?>