<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */


	/**
	 * Soap Response sent by the server after a call to the 'Authenticate' method
	 *
	 * @see TariqaAuthentication::Login
	 * 
	 * @author Pascal Havelange
	 * @copyright © EUROPEAN COMMISSION, 2008.
	 * */
	class AuthenticationResponse {
		
		/**
		 * Identification Token
		 * @var string 
		 * */
		public $identificationToken;
		
		/**
		 * Time at which the token will expire (unix timestamp)
		 * @var int
		 * */
		public $expirationDate;
		
		/**
		 * Flag indicating weither the connection was made through HTTPS or through HTTP
		 * @var boolean
		 * */
		public $https;

	}
?>