<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */


/**
 * Describe an advanced search source
 * (Used by the advanced search form)
 * */
class AdvancedSearch {
	/**
	 * The engine identifier
	 * @var string
	 * @access public
	*/
	public $engine_id;
	
	/**
	 * The source identifier
	 * @var integer
	 * @access public
	*/
	public $source_id;
	
	/**
	 * The title
	 * @var string
	 * @access public
	*/
	public $title;
	
	/**
	 * The description
	 * @var string
	 * @access public
	*/
	public $description;
}
?>