<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */


	/**
	 * RSS Channel
	 * */
	class Channel {

		/**
		 * Channel's title
		 * @var string
		 * */
		public $title;

		/**
		 * Channel's description
		 * @var string
		 * */
		public $description;

		/**
		 * Link of the RSS channel
		 * @var string
		 * */
		public $link;

		/**
		 * List of Articles
		 * @var Article[]
		 * */
		public $articles;

		/**
		 * URL to the illustration picture
		 * @var string
		 * */
		public $image;

		/**
		 * Picture's title
		 * @var string
		 * */
		public $image_title;

		/**
		 * Picture's link
		 * @var string
		 * */
		public $image_link;
	}
?>