<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */


	class Cookie {
		
		/**
		 * @param string $name
		 * @param string $value
		 * @param int $expires
		 * @param string $domain
		 * @param string $path
		 * @param string $extra1
		 * @param string $extra2
		 * @return Cookie
		 * */
		public function __construct( $name = "", $value = "", $expires = false, $domain = false, $path = false, $extra1 = false, $extra2 = false ) {
			$this->name = $name;
			$this->value = $value;
			$this->expires = $expires;
			$this->domain = $domain;
			$this->path = $path;
			$this->extra1 = $extra1;
			$this->extra2 = $extra2;
		}
		
		/**
		 * @var string
		 * */
		public $name;
		
		/**
		 * @var string
		 * */
		public $value;
		
		/**
		 * @var string
		 * */
		public $domain;
		
		/**
		 * @var string
		 * */
		public $path;
		
		/**
		 * @var int
		 * */
		public $expires;
		
		/**
		 * @var string
		 * */
		public $extra1;
		
		/**
		 * @var string
		 * */
		public $extra2;
	}
?>