<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */


	/**
	 * Container for the results of a query
	 * */
	class Resultset {
		
		/**
		 * Total number of available articles
		 * @var int
		 * */
		public $available_articles;
		
		/**
		 * Number of the first returned article
		 * @var int
		 * */
		public $first_article_index;
		
		/**
		 * Number of the last returned article
		 * @var int
		 * */
		public $last_article_index;
		
		/**
		 * List of articles
		 * @var Article[]
		 * */
		public $articles;
		
	}
?>