<?php
	/**
	 * Class factiva_BankCashFlowItems
	 */
	class factiva_BankCashFlowItems {
	
		/**
		 * @var double $deferredTaxes 
		 */
		public $deferredTaxes;
	
		/**
		 * @var double $foreignExchangeEffects 
		 */
		public $foreignExchangeEffects;
	
		/**
		 * @var double $gainsLossesInvestmentSecurities 
		 */
		public $gainsLossesInvestmentSecurities;
	
		/**
		 * @var double $gainsLossesLoans 
		 */
		public $gainsLossesLoans;
	
		/**
		 * @var double $insuranceReserves 
		 */
		public $insuranceReserves;
	
		/**
		 * @var double $inventories 
		 */
		public $inventories;
	
		/**
		 * @var double $optionsExercised 
		 */
		public $optionsExercised;
	
		/**
		 * @var double $otherInvestingCashFlow 
		 */
		public $otherInvestingCashFlow;
	
		/**
		 * @var double $otherNonCashItems 
		 */
		public $otherNonCashItems;
	
		/**
		 * @var double $otherLiabilities 
		 */
		public $otherLiabilities;
	
		/**
		 * @var double $policyLoans 
		 */
		public $policyLoans;
	
		/**
		 * @var double $policyRefunds 
		 */
		public $policyRefunds;
	
		/**
		 * @var double $prepaidExpenses 
		 */
		public $prepaidExpenses;
	
		/**
		 * @var double $accountingChange 
		 */
		public $accountingChange;
	
		/**
		 * @var double $accountsPayable 
		 */
		public $accountsPayable;
	
		/**
		 * @var double $accountsReceivable 
		 */
		public $accountsReceivable;
	
		/**
		 * @var double $accruedExpenses 
		 */
		public $accruedExpenses;
	
		/**
		 * @var double $acquisitionOfBusiness 
		 */
		public $acquisitionOfBusiness;
	
		/**
		 * @var double $amortization 
		 */
		public $amortization;
	
		/**
		 * @var double $amortizationOfDeferredPolicyAcquisitionCosts 
		 */
		public $amortizationOfDeferredPolicyAcquisitionCosts;
	
		/**
		 * @var double $amortizationOfIntangibles 
		 */
		public $amortizationOfIntangibles;
	
		/**
		 * @var double $capitalExpenditures 
		 */
		public $capitalExpenditures;
	
		/**
		 * @var double $cashDividendsPaidCommon 
		 */
		public $cashDividendsPaidCommon;
	
		/**
		 * @var double $cashDividendsPaidPreferred 
		 */
		public $cashDividendsPaidPreferred;
	
		/**
		 * @var double $cashFromFinancingActivities 
		 */
		public $cashFromFinancingActivities;
	
		/**
		 * @var double $cashFromOperatingActivities 
		 */
		public $cashFromOperatingActivities;
	
		/**
		 * @var double $cashInterestPaid 
		 */
		public $cashInterestPaid;
	
		/**
		 * @var double $cashPayments 
		 */
		public $cashPayments;
	
		/**
		 * @var double $cashReceipts 
		 */
		public $cashReceipts;
	
		/**
		 * @var double $cashTaxesPaid 
		 */
		public $cashTaxesPaid;
	
		/**
		 * @var double $changesInWorkingCapital 
		 */
		public $changesInWorkingCapital;
	
		/**
		 * @var double $deferredPolicyAcquisitionCosts 
		 */
		public $deferredPolicyAcquisitionCosts;
	
		/**
		 * @var double $depreciationDepletion 
		 */
		public $depreciationDepletion;
	
		/**
		 * @var double $extraordinaryItem 
		 */
		public $extraordinaryItem;
	
		/**
		 * @var double $federalFundsREPOs 
		 */
		public $federalFundsREPOs;
	
		/**
		 * @var double $fhlb 
		 */
		public $fhlb;
	
		/**
		 * @var double $financingCashFlowItems 
		 */
		public $financingCashFlowItems;
	
		/**
		 * @var double $foreclosedRealEstate 
		 */
		public $foreclosedRealEstate;
	
		/**
		 * @var double $netCashEndingBalance 
		 */
		public $netCashEndingBalance;
	
		/**
		 * @var double $netChangeInCash 
		 */
		public $netChangeInCash;
	
		/**
		 * @var double $netCommonStock 
		 */
		public $netCommonStock;
	
		/**
		 * @var double $netIncomeStartingLine 
		 */
		public $netIncomeStartingLine;
	
		/**
		 * @var double $netInvestment 
		 */
		public $netInvestment;
	
		/**
		 * @var double $netIssuanceOfDebt 
		 */
		public $netIssuanceOfDebt;
	
		/**
		 * @var double $netIssuanceOfStock 
		 */
		public $netIssuanceOfStock;
	
		/**
		 * @var double $netLongTermDebt 
		 */
		public $netLongTermDebt;
	
		/**
		 * @var double $netOtherAssetsAndLiabilities 
		 */
		public $netOtherAssetsAndLiabilities;
	
		/**
		 * @var double $netPreferredStock 
		 */
		public $netPreferredStock;
	
		/**
		 * @var double $netShortTermDebt 
		 */
		public $netShortTermDebt;
	
		/**
		 * @var double $otherAssets 
		 */
		public $otherAssets;
	
		/**
		 * @var double $otherFinancingCashFlow 
		 */
		public $otherFinancingCashFlow;
	
		/**
		 * @var double $otherRealEstateOwned 
		 */
		public $otherRealEstateOwned;
	
		/**
		 * @var double $payableAccrued 
		 */
		public $payableAccrued;
	
		/**
		 * @var double $policyBenefitsLiabilities 
		 */
		public $policyBenefitsLiabilities;
	
		/**
		 * @var double $principalPaymentsFromSecurities 
		 */
		public $principalPaymentsFromSecurities;
	
		/**
		 * @var double $purchaseAcquisitionOfIntangibles 
		 */
		public $purchaseAcquisitionOfIntangibles;
	
		/**
		 * @var double $purchaseOfFixedAssets 
		 */
		public $purchaseOfFixedAssets;
	
		/**
		 * @var double $purchaseOfInvestments 
		 */
		public $purchaseOfInvestments;
	
		/**
		 * @var double $purchasedResearchAndDevelopment 
		 */
		public $purchasedResearchAndDevelopment;
	
		/**
		 * @var double $reinsurancePayable 
		 */
		public $reinsurancePayable;
	
		/**
		 * @var double $reinsuranceReceivable 
		 */
		public $reinsuranceReceivable;
	
		/**
		 * @var double $repurchaseRetirementCommon 
		 */
		public $repurchaseRetirementCommon;
	
		/**
		 * @var double $repurchaseRetirementCommonPreferred 
		 */
		public $repurchaseRetirementCommonPreferred;
	
		/**
		 * @var double $repurchaseRetirementPreferred 
		 */
		public $repurchaseRetirementPreferred;
	
		/**
		 * @var double $saleIssuanceOfCommon 
		 */
		public $saleIssuanceOfCommon;
	
		/**
		 * @var double $saleIssuanceOfCommonPreferred 
		 */
		public $saleIssuanceOfCommonPreferred;
	
		/**
		 * @var double $saleIssuanceOfPreferred 
		 */
		public $saleIssuanceOfPreferred;
	
		/**
		 * @var double $saleOfBusiness 
		 */
		public $saleOfBusiness;
	
		/**
		 * @var double $saleOfFixedAssets 
		 */
		public $saleOfFixedAssets;
	
		/**
		 * @var double $saleOfIntangible 
		 */
		public $saleOfIntangible;
	
		/**
		 * @var double $saleOfLoans 
		 */
		public $saleOfLoans;
	
		/**
		 * @var double $saleMaturityOfInvestment 
		 */
		public $saleMaturityOfInvestment;
	
		/**
		 * @var double $shortTermDebtIssued 
		 */
		public $shortTermDebtIssued;
	
		/**
		 * @var double $shortTermDebtReduction 
		 */
		public $shortTermDebtReduction;
	
		/**
		 * @var double $softwareDevelopmentCosts 
		 */
		public $softwareDevelopmentCosts;
	
		/**
		 * @var double $supplementalDepreciation 
		 */
		public $supplementalDepreciation;
	
		/**
		 * @var double $supplementalCashInterestPaid 
		 */
		public $supplementalCashInterestPaid;
	
		/**
		 * @var double $supplementalCashTaxesPaid 
		 */
		public $supplementalCashTaxesPaid;
	
		/**
		 * @var double $taxesPayable 
		 */
		public $taxesPayable;
	
		/**
		 * @var double $totalCashDividendsPaid 
		 */
		public $totalCashDividendsPaid;
	
		/**
		 * @var double $totalDebtIssued 
		 */
		public $totalDebtIssued;
	
		/**
		 * @var double $totalDebtReduction 
		 */
		public $totalDebtReduction;
	
		/**
		 * @var double $totalNonCashItems 
		 */
		public $totalNonCashItems;
	
		/**
		 * @var double $totalOtherInvestingCashFlowItems 
		 */
		public $totalOtherInvestingCashFlowItems;
	
		/**
		 * @var double $treasuryStock 
		 */
		public $treasuryStock;
	
		/**
		 * @var double $unearnedPremiums 
		 */
		public $unearnedPremiums;
	
		/**
		 * @var double $unusualItems 
		 */
		public $unusualItems;
	
		/**
		 * @var double $warrantsConverted 
		 */
		public $warrantsConverted;
	}
?>