<?php
/*
 *  EUROPEAN COMMISSION, 2009-2010
 *
 * Concde sous licence EUPL, version 1.1 uniquement (la Licence).
 * Vous ne pouvez utiliser la prsente oeuvre que conformment  la Licence.
 * Vous pouvez obtenir une copie de la Licence  ladresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation lgale ou contractuelle crite, le logiciel distribu sous la Licence est distribu en ltat,
 * SANS GARANTIES OU CONDITIONS QUELLES QUELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spcifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
 */
 
/**
 * The defining of the autoload mechanism
 * @internal
 */
function __autoload($className) {
    if (file_exists(TARIQA3_REL_PATH . "/lib/{$className}.class.php")) {
        require_once(TARIQA3_REL_PATH . "/lib/{$className}.class.php");
    }
    else if (file_exists(TARIQA3_REL_PATH . "/{$className}.class.php")) {
        require_once(TARIQA3_REL_PATH . "/{$className}.class.php");
    }
    else if (file_exists(TARIQA3_REL_PATH . "/tariqa3/SOAP/lib/{$className}.class.php")) {
        require_once(TARIQA3_REL_PATH . "/tariqa3/SOAP/lib/{$className}.class.php");
    }

    if (class_exists($className)) return true;
    else return false;
}
?>