/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
 */

var header_height = 0;
var PLAYER = null;

function setFrameHeight(){
    header_height = $('#pageBanner').height() + $('#pageHeader').height() + 49;
    var height = $(window).height() - 30;
    var width = $('#pageHeader').width();
    var left = Math.round(width / 2);
    var html = "<div id=\"header_arrow\" style=\"height: 12px; width: 12px; position: absolute; z-index: 121; top: 0px; left: " + left + "px; background-image: url(themes/default/styles/jquery/redmond/images/ui-icons_2e83ff_256x240.png); background-position: -66px -194px;\">" +
	"<a href=\"#\" onclick=\"showHeaderInArticle()\"><img src=\"themes/default/images/spacer.gif\" height=\"12px\" width=\"12px\"/></a></div>"

    $('#pageBanner').before('<div class=\"ui-widget ui-widget-content ui-corner-all\" style="background: #ffffff; z-index: 120; position: relative; top: 0px; left: 0px; width: ' + width + 'px; display: none;" id="float-header"></div>' + html);
    //$('#pageHeader').after(html);

    var banner = $('#pageBanner').detach();
    var header = $('#pageHeader').detach();

    $('#float-header').append(banner);
    $('#float-header').append(header);

    $('#pageFooter').remove();

    //var scroll = $('#pageBanner').height() + $('#pageHeader').height();
    $('#external_article_frame').height(height);
    //$(document).scrollTop(scroll + 20);

    removeMenu();
}

function removeMenu(){
    var children = $('#application_menu').children();
    if (children.length == 0){
	setTimeout('removeMenu()', 300);
	return false;
    }

    children.remove('ul');
}

function showHeaderInArticle(show){
    if (typeof(show) == 'undefined') {
	show = null;
    }
    var height = $('#external_article_frame').height();
    if ((show == null && $('#float-header').is(':hidden')) || show){
	$('#float-header').show();
	//$('#header_arrow').css('background-position: -98px -194px');
	$('#header_arrow')[0].style.backgroundPosition = '-98px -194px';
	//$('#header_arrow')[0].style.top = $('#float-header').height() + 'px;';
	$('#external_article_frame').height(height - header_height);
    }
    else if (show == null || !show){
	$('#float-header').hide();
	$('#header_arrow')[0].style.top = '0px';
	$('#header_arrow')[0].style.backgroundPosition = '-66px -194px';
	$('#external_article_frame').height(height + header_height);
    }
}

function getPlayer(){
    if (_isFF){
	PLAYER = $('#VIDEO_FF')[0];
    }
    else {
	PLAYER = $('#VIDEO_IE')[0];
    }
}

function moveTime(time){
    try{
	if (PLAYER == null){
	    getPlayer();
	}
	if (PLAYER.controls){
	    PLAYER.controls.currentPosition = time / 1000;
	    PLAYER.controls.play();
	}
	else {
	    PLAYER.currentPosition = time / 1000;
	    PLAYER.play();
	}
    }
    catch (e){
	var id = window.location.toString().replace(/.*id=([^&]*)[&]*.*/gi, '$1');
	var type = window.location.toString().replace(/.*type=([^&]*)[&]*.*/gi, '$1');
	js_open(URL(TARIQA_URL, 'module=article&type=' + type + '&id=' + decodeURIComponent(id) + '&start=' + time), '_self', 'get');
    }
}