<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */

	/**
	 * Containes information about an engine
	 * @author Cosmin Popescu
	 * @copyright © European Commission, 2008.
	 * */
        
        class Engine {
            /**
		 * Engine name
		 * @var string
		 * */
            
            public $name;

            /**
		 * Engine description
		 * @var string
		 * */
            
	    public $description;
	    
            /**
		 * Engine document URL
		 * @var string
		 * */
            
	    public $doc_url;
	    
            /**
		 * Engine copyright
		 * @var string
		 * */
            
	    public $copyright;
	    
            /**
		 * Engine disclaimer
		 * @var string
		 * */
            
	    public $disclaimer;
	    
            /**
		 * Engine logo URL 
		 * @var string
		 * */
            
	    public $logo_url;
	    
            /**
		 * Engine icon URL
		 * @var string
		 * */
            
	    public $icon_url;
	    
              /**
		 * For google engines (the type of the engine)
		 * @var string
		 * */
	    
	    public $data; 

              /**
		 * Engine identificator
		 * @var string
		 * */
	    
	    public $engine_id;

		/**
		 * The required access level
		 * @var int
		 * @access public
		 */
		public $access_level;

      }

?>