<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */

	/**
	 * TariqaAuthentication: Soap Server
	 * @author Pascal (Meta) Havelange
	 * @copyright © EUROPEAN COMMISSION, 2008.
	 * */
	require_once( "TariqaAuthentication.class.php" );
	
	require_once( "UserDetails.class.php" );
	require_once( "AuthenticationResponse.class.php" );
	
	$server = new TariqaAuthentication();
	
	// If no SOAP request has been received, throw an error
	if( !isset( $HTTP_RAW_POST_DATA )) {
		$server->fault( 0, "Invalid request" );
	}
	// Otherwise, process the request
	else {
		// error_log( "SSL: ".(array_key_exists("HTTPS",$_SERVER)?"ON":"OFF") );
		// error_log( "HTTP_RAW_POST_DATA:\n".$HTTP_RAW_POST_DATA );
		$server->handle();
	}

?>