<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */

	/**
	 * Containes information about a query country
	 * @author Cosmin Popescu
	 * @copyright © EUROPEAN COMMISSION, 2008
	 * */
        
        class QueriesCountries {
            /**
		 * Query country label
		 * @var string
		 * */
            
            public $label;

            /**
		 * Query country description
		 * @var string
		 * */
            
	    public $description;
	    
            /**
		 * Query country display_order
		 * @var int
		 * */
	    
	    public $display_order;

            /**
		 * Flavour identifier
		 * @var int
		 * */
	    
	    public $flavour_id; 

            /**
		 * Query identifier
		 * @var int
		 * */
	    
	    public $query_id; 

            /**
		 * Country identifier
		 * @var string
		 * */
	    
	    public $country_id; 
        }

?>