<?php
	/**
	 * Contains one or more attachmentIds which each identifies an individual attachment to a document.
	 * */
	class WSKAttachmentIdList {
		
		/**
		 * Contains one or more attachmentIds which each identifies an individual attachment to a document.
		 * @var string[] An array of unique identifiers for attachments
		 * */
		public $attachmentId;
		
		/**
		 * Constructs an attachmentIdList object
		 * @param string[] $attachmentId
		 * */
		public function __construct( $attachmentId = null ) {
			$this->attachmentId = null === $attachmentId ? array() : $attachmentId;
		}
	}
?>