<?php
	/**
	 * Encloses a collection of elements which provide detailed information about a single source in the requested folder.
	 * @see WSKBrowseSourcesResponse
	 * */
	class WSKSourceList {
		/**
		 * Encloses a collection of elements which provide detailed information about a single source in the requested folder.
		 * @var WSKSource[]
		 * */
		public $source;
		
		/**
		 * Constructs a sourceList object
		 * @param WSKSource[] $source A source object or an array of source objects which provide detailed information about a single source in the requested folder.
		 * */
		public function __construct( $source = null ) {
			$this->source = $source;
		}
	}
?>